/* 
 TMP35 read data and print to serial monitor in Celsius.
 Balint Kiss; 2015.07.09
 eskolar.com
 --------------
 
 A TMP35 Vout laban 10 mV 1 ℃-nak felel meg.
 Ahanyszor 10 mV-unk van, anyi ℃ a homerseklet.
 Ezt az erteket olvassuk le, utanna a Serial Montor-on
 (soros porton) keresztul kirjuk.
 
    TMP35 (front view)
     |||
 Vin/ | \GND
      Vout
 */

//sorozat az E Port inicializalasahoz
int E_PORT[] = { 
  PE_0, PE_1, PE_2, PE_3, PE_4 };

float TMP35; // A szenzor kimente -> lebegopontos leolvasott ertek
float temp = 0;// A ℃ fokba atalakitott ertek
int sensor = PE_5; //leolvasott lab

//inditaskor fut le
void setup() {
  Serial.begin(9600); // Soros kapcsolat inditasa, baud rate beallitas
  pinMode (sensor, INPUT); // a leolvasott lab egy bemenet


  //Az E portot le kell zarni!
  //Mert PE_3 ra bejövő jel (zaj) zavarhatja az E portot!
  for (int thisPin = 0; thisPin < 5; thisPin++)  {
    pinMode(E_PORT[thisPin], OUTPUT);  
    digitalWrite(E_PORT[thisPin], LOW);      
  }
}

//folyamatosan ismetlodik
void loop() {
  //analog leolvasas (TM4C123 PE_5 = A8) (TM4C129 PE_5 = A9)  
  TMP35 = analogRead(PE_5);   
  temp = ((TMP35*3300)/4095)/10;// konvertalas mV-ba utanna ℃-ba

  Serial.print("Analog Read  --->  ");
  Serial.print(TMP35); //adatok kiirasa
  Serial.print(" = ");
  Serial.print(temp); //adatok kiirasa
  Serial.println(" C");
  delay(100); // 0.1 mp szunet

}






